## python-kajiki 0.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

upload: html
	rsync -cavz _build/html/* rick446,kajiki@web.sourceforge.net:htdocs

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Kajiki.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Kajiki.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Kajiki"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Kajiki"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-kajiki 0.3.4

=== debian/changelog ===
python-kajiki (0.3.4-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:10:51 +0000

python-kajiki (0.3.4-1) unstable; urgency=low

  * New upstream release
  * copyright: DEP-5 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 10:43:50 +0900

python-kajiki (0.3.2-2) unstable; urgency=low

  * Switch to dh_python2.
  * Bump Standards-Version to 3.9.2 (with no changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 12:37:36 +0900

python-kajiki (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #605693)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Dec 2010 17:29:50 +0900

=== debian/control ===
Source: python-kajiki
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/p/kajiki/home/
#Vcs-Git: git://git.debian.org/collab-maint/python-kajiki.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-kajiki.git;a=summary

Package: python-kajiki
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Really fast well-formed xml templates
 Are you tired of the slow performance of Genshi? But you still long for
 the assurance that your output is well-formed that you miss from all
 those other templating engines? Do you wish you had Jinja's
 blocks with Genshi's syntax? Then look  no further, Kajiki is for you!
 Kajiki quickly compiles Genshi-like syntax to *real python bytecode*
 that renders with blazing-fast speed! Don't delay! Pick up your
 copy of Kajiki today!

## python-kajiki 0.3.5

=== debian/changelog ===
python-kajiki (0.3.5-1ubuntu1) saucy; urgency=low

  * debian/control: Add python-nose as a dependency.
  * debian/rules: Enable testsuite. 
  * debian/patches/add-missing-files.patch: Add missing files needed
    by the testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 31 Jul 2013 13:18:28 -0400

python-kajiki (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 10 May 2012 09:59:52 +0900

python-kajiki (0.3.4-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * debian/source/options: Ignore egg-file changes. (Closes: #671327)
  * Bump Standards-Version to 3.9.3
    + debian/copyright: copyright-format 1.0 

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 21:27:13 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-kajiki
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-nose
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/p/kajiki/home/
-#Vcs-Git: git://git.debian.org/collab-maint/python-kajiki.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-kajiki.git;a=summary
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-kajiki/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-kajiki/trunk/
 
 Package: python-kajiki
 Architecture: all

## python-kajiki 0.4.4

=== debian/changelog ===
python-kajiki (0.4.4-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Add python-nose as a dependency.
    - debian/rules: Enable testsuite.
  * Build-depend on python-nine.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 20:56:36 +0100

python-kajiki (0.4.4-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Oct 2013 16:37:25 +0900

python-kajiki (0.4.3-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Aug 2013 16:22:39 +0900

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-nose
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-nose, python-nine
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/p/kajiki/home/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-kajiki/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-kajiki/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-kajiki/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-kajiki/trunk/
 
 Package: python-kajiki
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_test:
	nosetests -w kajiki/tests

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/K/Kajiki/Kajiki-(.*)\.tar\.gz

## python-kajiki 0.5.3

=== debian/changelog ===
python-kajiki (0.5.3-1) unstable; urgency=medium

  * Imported Upstream version 0.5.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 02 Feb 2016 16:21:11 +0900

python-kajiki (0.5.2-2) unstable; urgency=medium

  * debian/rules: Switch to pybuild and clean up.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 23:10:58 +0900

python-kajiki (0.5.2-1) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * debian/watch: Use pypy.debian.net.
  * Imported Upstream version 0.5.2
  * Bump Standards-Version 3.9.6.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 22:57:25 +0900

python-kajiki (0.4.4-2) unstable; urgency=medium

  * Team upload.
  * Added Python3 support.
  * Ran wrap-and-sort.
  * Standards-Version: is now 3.9.5.
  * Now packaging the sphinx doc in a python-kajiki-doc package.
  * Cleans correctly so the package can be built twice.
  * Runs the unit test at build time.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Mar 2014 10:11:58 +0000

=== debian/control ===
Source: python-kajiki
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all,
               python-babel,
               python-nine,
               python-nose,
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-babel,
               python3-nine,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/p/kajiki/home/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-kajiki.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-kajiki.git

Package: python-kajiki
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Really fast well-formed xml templates - Python 2.x
 Are you tired of the slow performance of Genshi? But you still long for the
 assurance that your output is well-formed that you miss from all those other
 templating engines? Do you wish you had Jinja's blocks with Genshi's syntax?
 Then look  no further, Kajiki is for you! Kajiki quickly compiles Genshi-like
 syntax to *real Python bytecode* that renders with blazing-fast speed! Don't
 delay! Pick up your copy of Kajiki today!
 .
 This package provides the Python 2.x module.

Package: python3-kajiki
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Really fast well-formed xml templates - Python 3.x
 Are you tired of the slow performance of Genshi? But you still long for the
 assurance that your output is well-formed that you miss from all those other
 templating engines? Do you wish you had Jinja's blocks with Genshi's syntax?
 Then look  no further, Kajiki is for you! Kajiki quickly compiles Genshi-like
 syntax to *real Python bytecode* that renders with blazing-fast speed! Don't
 delay! Pick up your copy of Kajiki today!
 .
 This package provides the Python 3.x module.

Package: python-kajiki-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Provides: ${python3:Provides}
Description: Really fast well-formed xml templates - doc
 Are you tired of the slow performance of Genshi? But you still long for the
 assurance that your output is well-formed that you miss from all those other
 templating engines? Do you wish you had Jinja's blocks with Genshi's syntax?
 Then look  no further, Kajiki is for you! Kajiki quickly compiles Genshi-like
 syntax to *real Python bytecode* that renders with blazing-fast speed! Don't
 delay! Pick up your copy of Kajiki today!
 .
 This package provides the documentation.

## python-kajiki 0.5.5

=== debian/changelog ===
python-kajiki (0.5.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standard Version.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Oct 2016 13:06:12 +0900

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-nine,
                python3-nose,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/p/kajiki/home/
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-kajiki.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-kajiki.git

## python-kajiki 0.6.1

=== debian/changelog ===
python-kajiki (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * New upstream version 0.6.1
  * debian/compat: Bump to 9.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 18:28:24 +0900

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-setuptools
 Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/p/kajiki/home/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-kajiki.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-kajiki.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-kajiki.git
 
 Package: python-kajiki

## python-kajiki 0.7.0

=== debian/changelog ===
python-kajiki (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/compat: Bump to 10

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 30 Jun 2017 18:01:38 +0900

python-kajiki (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump Standards-Version to 4.0.0 (without changes)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Jun 2017 18:27:30 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
                python-all,
                python-babel,
                python-nine,
@@ -15,7 +15,7 @@
                python3-nine,
                python3-nose,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://sourceforge.net/p/kajiki/home/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-kajiki.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-kajiki.git

## python-kajiki 0.7.1

=== debian/changelog ===
python-kajiki (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Bump Standards-Vertion to 4.1.3
  * debian/compat: 11
  * debian/control:
    - Add dh-python and python3-sphinx to B-D.
    - Change priority extra to optional.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 03 Feb 2018 22:02:11 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-kajiki
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                python-all,
                python-babel,
                python-nine,
@@ -14,8 +14,10 @@
                python3-babel,
                python3-nine,
                python3-nose,
-               python3-setuptools
-Standards-Version: 4.0.0
+               python3-setuptools,
+               python3-sphinx,
+               dh-python
+Standards-Version: 4.1.3
 Homepage: http://sourceforge.net/p/kajiki/home/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-kajiki.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-kajiki.git

=== debian/watch ===
version=3
http://pypi.debian.net/Kajiki/Kajiki-(.*)\.tar\.gz

## python-kajiki 0.7.2

=== debian/changelog ===
python-kajiki (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * Bump Stanrads-Version to 4.1.4
  * d/control: Add Muilt-arch hint.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 14 May 2018 20:36:00 +0900

python-kajiki (0.7.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * Team upload.
  * Ran wrap-and-sort -bast.
  * Add missing python{3,}-pkg-resources runtime depends
    (Closes: #896356, #896332).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Apr 2018 19:44:06 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kajiki

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs $(CURDIR)/debian/python-kajiki-doc/usr/share/doc/python-kajiki-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## python-kajiki 0.8.0

=== debian/changelog ===
python-kajiki (0.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Chris Lamb ]
  * Remove trailing whitespaces.

  [ TANIGUCHI Takaki ]
  * Bump Standards-Version 4.4.0
  * debian-compat: Bump to 12
  * Drop python2 support
  * New upstream version 0.8.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 30 Jul 2019 18:33:38 +0900

=== debian/control ===
Source: python-kajiki
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.2),
 python3-babel,
 python3-nine,
 python3-nose,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.0
Homepage: http://sourceforge.net/p/kajiki/home/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-kajiki.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kajiki

Package: python-kajiki-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Provides:
 ${python3:Provides},
Multi-Arch: foreign
Description: Really fast well-formed xml templates - doc
 Are you tired of the slow performance of Genshi? But you still long for the
 assurance that your output is well-formed that you miss from all those other
 templating engines? Do you wish you had Jinja's blocks with Genshi's syntax?
 Then look  no further, Kajiki is for you! Kajiki quickly compiles Genshi-like
 syntax to *real Python bytecode* that renders with blazing-fast speed! Don't
 delay! Pick up your copy of Kajiki today!
 .
 This package provides the documentation.

Package: python3-kajiki
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Really fast well-formed xml templates - Python 3.x
 Are you tired of the slow performance of Genshi? But you still long for the
 assurance that your output is well-formed that you miss from all those other
 templating engines? Do you wish you had Jinja's blocks with Genshi's syntax?
 Then look  no further, Kajiki is for you! Kajiki quickly compiles Genshi-like
 syntax to *real Python bytecode* that renders with blazing-fast speed! Don't
 delay! Pick up your copy of Kajiki today!
 .
 This package provides the Python 3.x module.

## python-kajiki 0.8.2

=== debian/changelog ===
python-kajiki (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 12 Dec 2019 19:38:14 +0900

python-kajiki (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Add a CI config file.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 25 Oct 2019 15:46:50 +0900

python-kajiki (0.8.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 30 Sep 2019 17:34:16 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-nose,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://sourceforge.net/p/kajiki/home/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-kajiki.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kajiki

=== debian/watch ===
version=3
https://pypi.debian.net/Kajiki/Kajiki-(.*)\.tar\.gz

## python-kajiki 0.8.3

=== debian/changelog ===
python-kajiki (0.8.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ TANIGUCHI Takaki ]
  * d/watch: Follow upstream URL change.
  * New upstream version 0.8.3
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 Sep 2021 12:53:51 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-kajiki
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  TANIGUCHI Takaki <takaki@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.2),
  python3-babel,
@@ -13,10 +13,10 @@
  python3-nose,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: http://sourceforge.net/p/kajiki/home/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-kajiki.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kajiki
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-kajiki.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kajiki
 
 Package: python-kajiki-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kajiki

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-kajiki-doc/usr/share/doc/python-kajiki-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
https://pypi.debian.net/kajiki/kajiki-(.*)\.tar\.gz

## python-kajiki 0.9.1

=== debian/changelog ===
python-kajiki (0.9.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ TANIGUCHI Takaki ]
  * New upstream version 0.9.0
  * d/control: Drop python-nine from B-D.
  * d/control: Update Homepage URL
  * New upstream version 0.9.1
  * Bump Standards-Version to 4.6.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 04 Jul 2022 10:34:05 +0900

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.2),
+ python3-all,
  python3-babel,
- python3-nine,
  python3-nose,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
-Homepage: http://sourceforge.net/p/kajiki/home/
+Standards-Version: 4.6.1
+Homepage: https://github.com/jackrosenthal/kajiki
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-kajiki.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kajiki

## python-kajiki 0.9.2

=== debian/changelog ===
python-kajiki (0.9.2-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 20:26:08 +0200

python-kajiki (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to fetch from Github
  * New upstream version 0.9.2
    - Fix Python 3.11 compatibility (Closes: #1026705)
  * Add new build-depend on python3-linetable
  * Bump Standards-Version to 4.6.2
  * Use dh-sequence-{python3,sphinxdoc} instead of --with python3,sphinxdoc
  * Use autopkgtest-pkg-pybuild
  * Fix nodoc support in d/rules
  * Use pytest instead of nose (Closes: #1018522)
  * Drop obsolete d/source/options
  * Add override for Lintian false positive source-is-missing
  * Use ${source:*} placeholders for less redundancy in d/control
  * Update d/upstream/metadata
  * Clean *.egg-info

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Dec 2022 10:12:56 +0100

=== debian/control ===
Source: python-kajiki
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-babel,
 python3-linetable,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/jackrosenthal/kajiki
Vcs-Git: https://salsa.debian.org/python-team/packages/python-kajiki.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kajiki
Description: Really fast well-formed xml templates
 Are you tired of the slow performance of Genshi? But you still long for the
 assurance that your output is well-formed that you miss from all those other
 templating engines? Do you wish you had Jinja's blocks with Genshi's syntax?
 Then look  no further, Kajiki is for you! Kajiki quickly compiles Genshi-like
 syntax to *real Python bytecode* that renders with blazing-fast speed! Don't
 delay! Pick up your copy of Kajiki today!

Package: python-kajiki-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Provides:
 ${python3:Provides},
Multi-Arch: foreign
Description: ${source:Synopsis} - doc
 ${source:Extended-Description}
 .
 This package provides the documentation.

Package: python3-kajiki
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: ${source:Synopsis} - Python 3.x
 ${source:Extended-Description}
 .
 This package provides the Python 3.x module.

## python-kajiki 1.0.2

=== debian/changelog ===
python-kajiki (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2
  * Convert from setuptools to hatchling (Closes: #1083657)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 10:55:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  TANIGUCHI Takaki <takaki@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ furo <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-babel,
+ python3-hatchling,
+ python3-hatch-sphinx <!nodoc>,
  python3-linetable,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/jackrosenthal/kajiki
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-kajiki.git
@@ -45,7 +47,6 @@
 Package: python3-kajiki
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kajiki

%:
	dh $@ --buildsystem=pybuild


override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-kajiki-doc/usr/share/doc/python-kajiki-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/(a|b|r?c)/~$1/" \
 https://github.com/jackrosenthal/kajiki refs/tags/v(\d[\dabrc.]+)
